#
# spec file for package gnome-directory-thumbnailer
#
# Copyright (c) 2022 SUSE LLC
# Copyright (c) 2013 Dominique Leuenberger, Amsterdam, The Netherlands
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gnome-directory-thumbnailer
Version:        0.1.11
Release:        3.3
Summary:        Directory Thumbnailer
License:        LGPL-2.1-or-later
Group:          Productivity/Office/Other
URL:            https://wiki.gnome.org/GnomeDirectoryThumbnailer
Source0:        https://download.gnome.org/sources/gnome-directory-thumbnailer/0.1/%{name}-%{version}.tar.xz
# PATCH-FIX-OPENSUSE temp-ftbfs.patch -- Temporary workaround for recent gnome-desktop api changes
Patch0:         temp-ftbfs.patch

BuildRequires:  intltool >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.36.5
BuildRequires:  pkgconfig(gio-2.0) >= 2.22.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.35.0
BuildRequires:  pkgconfig(gnome-desktop-3.0) >= 2.2.0
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)

%description
GNOME thumbnailer to generate thumbnails for directories.

%lang_package

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install
%find_lang %{name} %{?no_lang_C}

%files
%license COPYING
%doc ChangeLog NEWS README
%{_bindir}/gnome-directory-thumbnailer
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/gnome-directory-thumbnailer.thumbnailer

%files lang -f %{name}.lang

%changelog
* Mon Sep 12 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Add temp-ftbfs.patch: Temporary workaround for recent
  gnome-desktop api changes.
* Sat Jan 25 2020 Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend -lang: supplements are in use
* Mon Sep  2 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.1.11:
  + Updated translations.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Thu Jan 25 2018 bjorn.lie@gmail.com
- Update to version 0.1.10:
  + Updated translations.
- Minor spec cleanup, use autosetup and make_build macro.
* Sat May  6 2017 zaitor@opensuse.org
- Update to version 0.1.9:
  + Improve scaling behaviour for very-non-square images.
  + Updated translations.
* Tue Sep 20 2016 zaitor@opensuse.org
- Update to version 0.1.8:
  + Updated translations.
* Sat Feb  6 2016 zaitor@opensuse.org
- Update to version 0.1.7:
  + Updated translations.
* Tue Jun  9 2015 zaitor@opensuse.org
- Update to version 0.1.6:
  + Fixed a memory leak and a crash.
  + Updated translations.
* Tue Apr 14 2015 zaitor@opensuse.org
- Update to version 0.1.5:
  + Updated translations.
* Tue Jan 27 2015 dimstar@opensuse.org
- Update to version 0.1.4:
  + Add a note about uninstallation to the README.
  + Updated translations.
* Mon Jan 26 2015 badshah400@gmail.com
- Update to version 0.1.4:
  + Updated translations.
* Tue Jul  1 2014 dimstar@opensuse.org
- Update to version 0.1.3:
  + Updated translations.
* Mon Feb 24 2014 dimstar@opensuse.org
- Update to version 0.1.2:
  + Update DOAP file and website address.
  + Updated translations.
* Sun Nov 10 2013 zaitor@opensuse.org
- Update to version 0.1.1:
  + Major changes: Add a --show-overlay option.
  + Bugs fixed: Add Bugzilla product for
    gnome-directory-thumbnailer (bgo#710260).
  + Updated translations.
- Add pkgconfig(gtk+-3.0) BuildRequires: new dependency.
- Add Recommends for lang package, and add required macros for
  building language package to pick up the new translations.
* Wed Oct 16 2013 dimstar@opensuse.org
- Initial package, version 0.1.0.
